"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApprovalResult = exports.ApprovalStatus = exports.ApprovalAlreadyCompletedException = exports.ActionTypeNotFoundException = exports.ActionTypeDeclaration = exports.ActionTypeUrls = exports.ActionTypeProperty = exports.ActionTypePermissions = exports.ActionTypeIdentifier = exports.ActionTypeExecutor = exports.ExecutorType = exports.ExecutorConfiguration = exports.LambdaExecutorConfiguration = exports.JobWorkerExecutorConfiguration = exports.ActionTypeArtifactDetails = exports.ActionType = exports.ActionTypeSettings = exports.ArtifactDetails = exports.ActionState = exports.ActionRevision = exports.ActionNotFoundException = exports.ActionExecutionFilter = exports.ActionExecutionDetail = exports.ActionExecutionOutput = exports.ActionExecutionResult = exports.ActionExecutionInput = exports.ArtifactDetail = exports.S3Location = exports.ActionExecution = exports.ActionExecutionStatus = exports.ErrorDetails = exports.ActionDeclaration = exports.OutputArtifact = exports.InputArtifact = exports.ActionTypeId = exports.ActionOwner = exports.ActionContext = exports.ActionConfigurationProperty = exports.ActionConfigurationPropertyType = exports.ActionConfiguration = exports.ActionCategory = exports.InvalidClientTokenException = exports.AcknowledgeThirdPartyJobOutput = exports.AcknowledgeThirdPartyJobInput = exports.ValidationException = exports.JobNotFoundException = exports.InvalidNonceException = exports.AcknowledgeJobOutput = exports.JobStatus = exports.AcknowledgeJobInput = void 0;
exports.PipelineMetadata = exports.GetPipelineInput = exports.GetJobDetailsOutput = exports.JobDetails = exports.JobData = exports.PipelineContext = exports.StageContext = exports.GetJobDetailsInput = exports.GetActionTypeOutput = exports.GetActionTypeInput = exports.EnableStageTransitionInput = exports.StageNotFoundException = exports.PipelineNotFoundException = exports.DisableStageTransitionInput = exports.StageTransitionType = exports.WebhookNotFoundException = exports.DeregisterWebhookWithThirdPartyOutput = exports.DeregisterWebhookWithThirdPartyInput = exports.DeleteWebhookOutput = exports.DeleteWebhookInput = exports.DeletePipelineInput = exports.DeleteCustomActionTypeInput = exports.PipelineNameInUseException = exports.InvalidStructureException = exports.InvalidStageDeclarationException = exports.InvalidBlockerDeclarationException = exports.InvalidActionDeclarationException = exports.CreatePipelineOutput = exports.CreatePipelineInput = exports.PipelineDeclaration = exports.StageDeclaration = exports.TooManyTagsException = exports.LimitExceededException = exports.InvalidTagsException = exports.CreateCustomActionTypeOutput = exports.CreateCustomActionTypeInput = exports.Tag = exports.ConcurrentModificationException = exports.BlockerDeclaration = exports.BlockerType = exports.AWSSessionCredentials = exports.ArtifactStore = exports.ArtifactStoreType = exports.EncryptionKey = exports.EncryptionKeyType = exports.ArtifactRevision = exports.Artifact = exports.ArtifactLocation = exports.ArtifactLocationType = exports.S3ArtifactLocation = void 0;
exports.PollForThirdPartyJobsOutput = exports.ThirdPartyJob = exports.PollForThirdPartyJobsInput = exports.PollForJobsOutput = exports.Job = exports.PollForJobsInput = exports.ListWebhooksOutput = exports.ListWebhookItem = exports.WebhookDefinition = exports.WebhookFilterRule = exports.WebhookAuthConfiguration = exports.WebhookAuthenticationType = exports.ListWebhooksInput = exports.ResourceNotFoundException = exports.ListTagsForResourceOutput = exports.ListTagsForResourceInput = exports.InvalidArnException = exports.ListPipelinesOutput = exports.PipelineSummary = exports.ListPipelinesInput = exports.ListPipelineExecutionsOutput = exports.PipelineExecutionSummary = exports.ExecutionTrigger = exports.TriggerType = exports.StopExecutionTrigger = exports.SourceRevision = exports.ListPipelineExecutionsInput = exports.ListActionTypesOutput = exports.ListActionTypesInput = exports.ListActionExecutionsOutput = exports.ListActionExecutionsInput = exports.InvalidNextTokenException = exports.InvalidJobException = exports.GetThirdPartyJobDetailsOutput = exports.ThirdPartyJobDetails = exports.ThirdPartyJobData = exports.GetThirdPartyJobDetailsInput = exports.GetPipelineStateOutput = exports.StageState = exports.TransitionState = exports.StageExecution = exports.StageExecutionStatus = exports.GetPipelineStateInput = exports.PipelineExecutionNotFoundException = exports.GetPipelineExecutionOutput = exports.PipelineExecution = exports.PipelineExecutionStatus = exports.GetPipelineExecutionInput = exports.PipelineVersionNotFoundException = exports.GetPipelineOutput = void 0;
exports.UpdatePipelineOutput = exports.UpdatePipelineInput = exports.UpdateActionTypeInput = exports.RequestFailedException = exports.UntagResourceOutput = exports.UntagResourceInput = exports.TagResourceOutput = exports.TagResourceInput = exports.StopPipelineExecutionOutput = exports.StopPipelineExecutionInput = exports.PipelineExecutionNotStoppableException = exports.DuplicatedStopRequestException = exports.StartPipelineExecutionOutput = exports.StartPipelineExecutionInput = exports.StageNotRetryableException = exports.RetryStageExecutionOutput = exports.RetryStageExecutionInput = exports.StageRetryMode = exports.NotLatestPipelineExecutionException = exports.ConflictException = exports.RegisterWebhookWithThirdPartyOutput = exports.RegisterWebhookWithThirdPartyInput = exports.PutWebhookOutput = exports.PutWebhookInput = exports.InvalidWebhookFilterPatternException = exports.InvalidWebhookAuthenticationParametersException = exports.PutThirdPartyJobSuccessResultInput = exports.PutThirdPartyJobFailureResultInput = exports.PutJobSuccessResultInput = exports.ExecutionDetails = exports.CurrentRevision = exports.OutputVariablesSizeExceededException = exports.PutJobFailureResultInput = exports.FailureDetails = exports.FailureType = exports.InvalidJobStateException = exports.PutApprovalResultOutput = exports.PutApprovalResultInput = exports.InvalidApprovalTokenException = exports.PutActionRevisionOutput = exports.PutActionRevisionInput = void 0;
const smithy_client_1 = require("@aws-sdk/smithy-client");
const CodePipelineServiceException_1 = require("./CodePipelineServiceException");
var AcknowledgeJobInput;
(function (AcknowledgeJobInput) {
    AcknowledgeJobInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AcknowledgeJobInput = exports.AcknowledgeJobInput || (exports.AcknowledgeJobInput = {}));
var JobStatus;
(function (JobStatus) {
    JobStatus["Created"] = "Created";
    JobStatus["Dispatched"] = "Dispatched";
    JobStatus["Failed"] = "Failed";
    JobStatus["InProgress"] = "InProgress";
    JobStatus["Queued"] = "Queued";
    JobStatus["Succeeded"] = "Succeeded";
    JobStatus["TimedOut"] = "TimedOut";
})(JobStatus = exports.JobStatus || (exports.JobStatus = {}));
var AcknowledgeJobOutput;
(function (AcknowledgeJobOutput) {
    AcknowledgeJobOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AcknowledgeJobOutput = exports.AcknowledgeJobOutput || (exports.AcknowledgeJobOutput = {}));
class InvalidNonceException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidNonceException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidNonceException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidNonceException.prototype);
    }
}
exports.InvalidNonceException = InvalidNonceException;
class JobNotFoundException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "JobNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "JobNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, JobNotFoundException.prototype);
    }
}
exports.JobNotFoundException = JobNotFoundException;
class ValidationException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
    }
}
exports.ValidationException = ValidationException;
var AcknowledgeThirdPartyJobInput;
(function (AcknowledgeThirdPartyJobInput) {
    AcknowledgeThirdPartyJobInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AcknowledgeThirdPartyJobInput = exports.AcknowledgeThirdPartyJobInput || (exports.AcknowledgeThirdPartyJobInput = {}));
var AcknowledgeThirdPartyJobOutput;
(function (AcknowledgeThirdPartyJobOutput) {
    AcknowledgeThirdPartyJobOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AcknowledgeThirdPartyJobOutput = exports.AcknowledgeThirdPartyJobOutput || (exports.AcknowledgeThirdPartyJobOutput = {}));
class InvalidClientTokenException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidClientTokenException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidClientTokenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidClientTokenException.prototype);
    }
}
exports.InvalidClientTokenException = InvalidClientTokenException;
var ActionCategory;
(function (ActionCategory) {
    ActionCategory["Approval"] = "Approval";
    ActionCategory["Build"] = "Build";
    ActionCategory["Deploy"] = "Deploy";
    ActionCategory["Invoke"] = "Invoke";
    ActionCategory["Source"] = "Source";
    ActionCategory["Test"] = "Test";
})(ActionCategory = exports.ActionCategory || (exports.ActionCategory = {}));
var ActionConfiguration;
(function (ActionConfiguration) {
    ActionConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionConfiguration = exports.ActionConfiguration || (exports.ActionConfiguration = {}));
var ActionConfigurationPropertyType;
(function (ActionConfigurationPropertyType) {
    ActionConfigurationPropertyType["Boolean"] = "Boolean";
    ActionConfigurationPropertyType["Number"] = "Number";
    ActionConfigurationPropertyType["String"] = "String";
})(ActionConfigurationPropertyType = exports.ActionConfigurationPropertyType || (exports.ActionConfigurationPropertyType = {}));
var ActionConfigurationProperty;
(function (ActionConfigurationProperty) {
    ActionConfigurationProperty.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionConfigurationProperty = exports.ActionConfigurationProperty || (exports.ActionConfigurationProperty = {}));
var ActionContext;
(function (ActionContext) {
    ActionContext.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionContext = exports.ActionContext || (exports.ActionContext = {}));
var ActionOwner;
(function (ActionOwner) {
    ActionOwner["AWS"] = "AWS";
    ActionOwner["Custom"] = "Custom";
    ActionOwner["ThirdParty"] = "ThirdParty";
})(ActionOwner = exports.ActionOwner || (exports.ActionOwner = {}));
var ActionTypeId;
(function (ActionTypeId) {
    ActionTypeId.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionTypeId = exports.ActionTypeId || (exports.ActionTypeId = {}));
var InputArtifact;
(function (InputArtifact) {
    InputArtifact.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(InputArtifact = exports.InputArtifact || (exports.InputArtifact = {}));
var OutputArtifact;
(function (OutputArtifact) {
    OutputArtifact.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OutputArtifact = exports.OutputArtifact || (exports.OutputArtifact = {}));
var ActionDeclaration;
(function (ActionDeclaration) {
    ActionDeclaration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionDeclaration = exports.ActionDeclaration || (exports.ActionDeclaration = {}));
var ErrorDetails;
(function (ErrorDetails) {
    ErrorDetails.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ErrorDetails = exports.ErrorDetails || (exports.ErrorDetails = {}));
var ActionExecutionStatus;
(function (ActionExecutionStatus) {
    ActionExecutionStatus["Abandoned"] = "Abandoned";
    ActionExecutionStatus["Failed"] = "Failed";
    ActionExecutionStatus["InProgress"] = "InProgress";
    ActionExecutionStatus["Succeeded"] = "Succeeded";
})(ActionExecutionStatus = exports.ActionExecutionStatus || (exports.ActionExecutionStatus = {}));
var ActionExecution;
(function (ActionExecution) {
    ActionExecution.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionExecution = exports.ActionExecution || (exports.ActionExecution = {}));
var S3Location;
(function (S3Location) {
    S3Location.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(S3Location = exports.S3Location || (exports.S3Location = {}));
var ArtifactDetail;
(function (ArtifactDetail) {
    ArtifactDetail.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ArtifactDetail = exports.ArtifactDetail || (exports.ArtifactDetail = {}));
var ActionExecutionInput;
(function (ActionExecutionInput) {
    ActionExecutionInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionExecutionInput = exports.ActionExecutionInput || (exports.ActionExecutionInput = {}));
var ActionExecutionResult;
(function (ActionExecutionResult) {
    ActionExecutionResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionExecutionResult = exports.ActionExecutionResult || (exports.ActionExecutionResult = {}));
var ActionExecutionOutput;
(function (ActionExecutionOutput) {
    ActionExecutionOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionExecutionOutput = exports.ActionExecutionOutput || (exports.ActionExecutionOutput = {}));
var ActionExecutionDetail;
(function (ActionExecutionDetail) {
    ActionExecutionDetail.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionExecutionDetail = exports.ActionExecutionDetail || (exports.ActionExecutionDetail = {}));
var ActionExecutionFilter;
(function (ActionExecutionFilter) {
    ActionExecutionFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionExecutionFilter = exports.ActionExecutionFilter || (exports.ActionExecutionFilter = {}));
class ActionNotFoundException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "ActionNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ActionNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ActionNotFoundException.prototype);
    }
}
exports.ActionNotFoundException = ActionNotFoundException;
var ActionRevision;
(function (ActionRevision) {
    ActionRevision.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionRevision = exports.ActionRevision || (exports.ActionRevision = {}));
var ActionState;
(function (ActionState) {
    ActionState.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionState = exports.ActionState || (exports.ActionState = {}));
var ArtifactDetails;
(function (ArtifactDetails) {
    ArtifactDetails.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ArtifactDetails = exports.ArtifactDetails || (exports.ArtifactDetails = {}));
var ActionTypeSettings;
(function (ActionTypeSettings) {
    ActionTypeSettings.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionTypeSettings = exports.ActionTypeSettings || (exports.ActionTypeSettings = {}));
var ActionType;
(function (ActionType) {
    ActionType.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionType = exports.ActionType || (exports.ActionType = {}));
var ActionTypeArtifactDetails;
(function (ActionTypeArtifactDetails) {
    ActionTypeArtifactDetails.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionTypeArtifactDetails = exports.ActionTypeArtifactDetails || (exports.ActionTypeArtifactDetails = {}));
var JobWorkerExecutorConfiguration;
(function (JobWorkerExecutorConfiguration) {
    JobWorkerExecutorConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(JobWorkerExecutorConfiguration = exports.JobWorkerExecutorConfiguration || (exports.JobWorkerExecutorConfiguration = {}));
var LambdaExecutorConfiguration;
(function (LambdaExecutorConfiguration) {
    LambdaExecutorConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LambdaExecutorConfiguration = exports.LambdaExecutorConfiguration || (exports.LambdaExecutorConfiguration = {}));
var ExecutorConfiguration;
(function (ExecutorConfiguration) {
    ExecutorConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ExecutorConfiguration = exports.ExecutorConfiguration || (exports.ExecutorConfiguration = {}));
var ExecutorType;
(function (ExecutorType) {
    ExecutorType["JobWorker"] = "JobWorker";
    ExecutorType["Lambda"] = "Lambda";
})(ExecutorType = exports.ExecutorType || (exports.ExecutorType = {}));
var ActionTypeExecutor;
(function (ActionTypeExecutor) {
    ActionTypeExecutor.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionTypeExecutor = exports.ActionTypeExecutor || (exports.ActionTypeExecutor = {}));
var ActionTypeIdentifier;
(function (ActionTypeIdentifier) {
    ActionTypeIdentifier.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionTypeIdentifier = exports.ActionTypeIdentifier || (exports.ActionTypeIdentifier = {}));
var ActionTypePermissions;
(function (ActionTypePermissions) {
    ActionTypePermissions.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionTypePermissions = exports.ActionTypePermissions || (exports.ActionTypePermissions = {}));
var ActionTypeProperty;
(function (ActionTypeProperty) {
    ActionTypeProperty.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionTypeProperty = exports.ActionTypeProperty || (exports.ActionTypeProperty = {}));
var ActionTypeUrls;
(function (ActionTypeUrls) {
    ActionTypeUrls.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionTypeUrls = exports.ActionTypeUrls || (exports.ActionTypeUrls = {}));
var ActionTypeDeclaration;
(function (ActionTypeDeclaration) {
    ActionTypeDeclaration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionTypeDeclaration = exports.ActionTypeDeclaration || (exports.ActionTypeDeclaration = {}));
class ActionTypeNotFoundException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "ActionTypeNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ActionTypeNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ActionTypeNotFoundException.prototype);
    }
}
exports.ActionTypeNotFoundException = ActionTypeNotFoundException;
class ApprovalAlreadyCompletedException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "ApprovalAlreadyCompletedException",
            $fault: "client",
            ...opts,
        });
        this.name = "ApprovalAlreadyCompletedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ApprovalAlreadyCompletedException.prototype);
    }
}
exports.ApprovalAlreadyCompletedException = ApprovalAlreadyCompletedException;
var ApprovalStatus;
(function (ApprovalStatus) {
    ApprovalStatus["Approved"] = "Approved";
    ApprovalStatus["Rejected"] = "Rejected";
})(ApprovalStatus = exports.ApprovalStatus || (exports.ApprovalStatus = {}));
var ApprovalResult;
(function (ApprovalResult) {
    ApprovalResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ApprovalResult = exports.ApprovalResult || (exports.ApprovalResult = {}));
var S3ArtifactLocation;
(function (S3ArtifactLocation) {
    S3ArtifactLocation.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(S3ArtifactLocation = exports.S3ArtifactLocation || (exports.S3ArtifactLocation = {}));
var ArtifactLocationType;
(function (ArtifactLocationType) {
    ArtifactLocationType["S3"] = "S3";
})(ArtifactLocationType = exports.ArtifactLocationType || (exports.ArtifactLocationType = {}));
var ArtifactLocation;
(function (ArtifactLocation) {
    ArtifactLocation.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ArtifactLocation = exports.ArtifactLocation || (exports.ArtifactLocation = {}));
var Artifact;
(function (Artifact) {
    Artifact.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Artifact = exports.Artifact || (exports.Artifact = {}));
var ArtifactRevision;
(function (ArtifactRevision) {
    ArtifactRevision.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ArtifactRevision = exports.ArtifactRevision || (exports.ArtifactRevision = {}));
var EncryptionKeyType;
(function (EncryptionKeyType) {
    EncryptionKeyType["KMS"] = "KMS";
})(EncryptionKeyType = exports.EncryptionKeyType || (exports.EncryptionKeyType = {}));
var EncryptionKey;
(function (EncryptionKey) {
    EncryptionKey.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EncryptionKey = exports.EncryptionKey || (exports.EncryptionKey = {}));
var ArtifactStoreType;
(function (ArtifactStoreType) {
    ArtifactStoreType["S3"] = "S3";
})(ArtifactStoreType = exports.ArtifactStoreType || (exports.ArtifactStoreType = {}));
var ArtifactStore;
(function (ArtifactStore) {
    ArtifactStore.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ArtifactStore = exports.ArtifactStore || (exports.ArtifactStore = {}));
var AWSSessionCredentials;
(function (AWSSessionCredentials) {
    AWSSessionCredentials.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.accessKeyId && { accessKeyId: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.secretAccessKey && { secretAccessKey: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.sessionToken && { sessionToken: smithy_client_1.SENSITIVE_STRING }),
    });
})(AWSSessionCredentials = exports.AWSSessionCredentials || (exports.AWSSessionCredentials = {}));
var BlockerType;
(function (BlockerType) {
    BlockerType["Schedule"] = "Schedule";
})(BlockerType = exports.BlockerType || (exports.BlockerType = {}));
var BlockerDeclaration;
(function (BlockerDeclaration) {
    BlockerDeclaration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BlockerDeclaration = exports.BlockerDeclaration || (exports.BlockerDeclaration = {}));
class ConcurrentModificationException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "ConcurrentModificationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConcurrentModificationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConcurrentModificationException.prototype);
    }
}
exports.ConcurrentModificationException = ConcurrentModificationException;
var Tag;
(function (Tag) {
    Tag.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Tag = exports.Tag || (exports.Tag = {}));
var CreateCustomActionTypeInput;
(function (CreateCustomActionTypeInput) {
    CreateCustomActionTypeInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateCustomActionTypeInput = exports.CreateCustomActionTypeInput || (exports.CreateCustomActionTypeInput = {}));
var CreateCustomActionTypeOutput;
(function (CreateCustomActionTypeOutput) {
    CreateCustomActionTypeOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateCustomActionTypeOutput = exports.CreateCustomActionTypeOutput || (exports.CreateCustomActionTypeOutput = {}));
class InvalidTagsException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidTagsException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidTagsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidTagsException.prototype);
    }
}
exports.InvalidTagsException = InvalidTagsException;
class LimitExceededException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "LimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "LimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, LimitExceededException.prototype);
    }
}
exports.LimitExceededException = LimitExceededException;
class TooManyTagsException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "TooManyTagsException",
            $fault: "client",
            ...opts,
        });
        this.name = "TooManyTagsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TooManyTagsException.prototype);
    }
}
exports.TooManyTagsException = TooManyTagsException;
var StageDeclaration;
(function (StageDeclaration) {
    StageDeclaration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StageDeclaration = exports.StageDeclaration || (exports.StageDeclaration = {}));
var PipelineDeclaration;
(function (PipelineDeclaration) {
    PipelineDeclaration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PipelineDeclaration = exports.PipelineDeclaration || (exports.PipelineDeclaration = {}));
var CreatePipelineInput;
(function (CreatePipelineInput) {
    CreatePipelineInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreatePipelineInput = exports.CreatePipelineInput || (exports.CreatePipelineInput = {}));
var CreatePipelineOutput;
(function (CreatePipelineOutput) {
    CreatePipelineOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreatePipelineOutput = exports.CreatePipelineOutput || (exports.CreatePipelineOutput = {}));
class InvalidActionDeclarationException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidActionDeclarationException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidActionDeclarationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidActionDeclarationException.prototype);
    }
}
exports.InvalidActionDeclarationException = InvalidActionDeclarationException;
class InvalidBlockerDeclarationException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidBlockerDeclarationException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidBlockerDeclarationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidBlockerDeclarationException.prototype);
    }
}
exports.InvalidBlockerDeclarationException = InvalidBlockerDeclarationException;
class InvalidStageDeclarationException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidStageDeclarationException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidStageDeclarationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidStageDeclarationException.prototype);
    }
}
exports.InvalidStageDeclarationException = InvalidStageDeclarationException;
class InvalidStructureException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidStructureException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidStructureException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidStructureException.prototype);
    }
}
exports.InvalidStructureException = InvalidStructureException;
class PipelineNameInUseException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "PipelineNameInUseException",
            $fault: "client",
            ...opts,
        });
        this.name = "PipelineNameInUseException";
        this.$fault = "client";
        Object.setPrototypeOf(this, PipelineNameInUseException.prototype);
    }
}
exports.PipelineNameInUseException = PipelineNameInUseException;
var DeleteCustomActionTypeInput;
(function (DeleteCustomActionTypeInput) {
    DeleteCustomActionTypeInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteCustomActionTypeInput = exports.DeleteCustomActionTypeInput || (exports.DeleteCustomActionTypeInput = {}));
var DeletePipelineInput;
(function (DeletePipelineInput) {
    DeletePipelineInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeletePipelineInput = exports.DeletePipelineInput || (exports.DeletePipelineInput = {}));
var DeleteWebhookInput;
(function (DeleteWebhookInput) {
    DeleteWebhookInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteWebhookInput = exports.DeleteWebhookInput || (exports.DeleteWebhookInput = {}));
var DeleteWebhookOutput;
(function (DeleteWebhookOutput) {
    DeleteWebhookOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteWebhookOutput = exports.DeleteWebhookOutput || (exports.DeleteWebhookOutput = {}));
var DeregisterWebhookWithThirdPartyInput;
(function (DeregisterWebhookWithThirdPartyInput) {
    DeregisterWebhookWithThirdPartyInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeregisterWebhookWithThirdPartyInput = exports.DeregisterWebhookWithThirdPartyInput || (exports.DeregisterWebhookWithThirdPartyInput = {}));
var DeregisterWebhookWithThirdPartyOutput;
(function (DeregisterWebhookWithThirdPartyOutput) {
    DeregisterWebhookWithThirdPartyOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeregisterWebhookWithThirdPartyOutput = exports.DeregisterWebhookWithThirdPartyOutput || (exports.DeregisterWebhookWithThirdPartyOutput = {}));
class WebhookNotFoundException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "WebhookNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "WebhookNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, WebhookNotFoundException.prototype);
    }
}
exports.WebhookNotFoundException = WebhookNotFoundException;
var StageTransitionType;
(function (StageTransitionType) {
    StageTransitionType["Inbound"] = "Inbound";
    StageTransitionType["Outbound"] = "Outbound";
})(StageTransitionType = exports.StageTransitionType || (exports.StageTransitionType = {}));
var DisableStageTransitionInput;
(function (DisableStageTransitionInput) {
    DisableStageTransitionInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DisableStageTransitionInput = exports.DisableStageTransitionInput || (exports.DisableStageTransitionInput = {}));
class PipelineNotFoundException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "PipelineNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "PipelineNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, PipelineNotFoundException.prototype);
    }
}
exports.PipelineNotFoundException = PipelineNotFoundException;
class StageNotFoundException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "StageNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "StageNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, StageNotFoundException.prototype);
    }
}
exports.StageNotFoundException = StageNotFoundException;
var EnableStageTransitionInput;
(function (EnableStageTransitionInput) {
    EnableStageTransitionInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EnableStageTransitionInput = exports.EnableStageTransitionInput || (exports.EnableStageTransitionInput = {}));
var GetActionTypeInput;
(function (GetActionTypeInput) {
    GetActionTypeInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetActionTypeInput = exports.GetActionTypeInput || (exports.GetActionTypeInput = {}));
var GetActionTypeOutput;
(function (GetActionTypeOutput) {
    GetActionTypeOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetActionTypeOutput = exports.GetActionTypeOutput || (exports.GetActionTypeOutput = {}));
var GetJobDetailsInput;
(function (GetJobDetailsInput) {
    GetJobDetailsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetJobDetailsInput = exports.GetJobDetailsInput || (exports.GetJobDetailsInput = {}));
var StageContext;
(function (StageContext) {
    StageContext.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StageContext = exports.StageContext || (exports.StageContext = {}));
var PipelineContext;
(function (PipelineContext) {
    PipelineContext.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PipelineContext = exports.PipelineContext || (exports.PipelineContext = {}));
var JobData;
(function (JobData) {
    JobData.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.artifactCredentials && { artifactCredentials: smithy_client_1.SENSITIVE_STRING }),
    });
})(JobData = exports.JobData || (exports.JobData = {}));
var JobDetails;
(function (JobDetails) {
    JobDetails.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.data && { data: JobData.filterSensitiveLog(obj.data) }),
    });
})(JobDetails = exports.JobDetails || (exports.JobDetails = {}));
var GetJobDetailsOutput;
(function (GetJobDetailsOutput) {
    GetJobDetailsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.jobDetails && { jobDetails: JobDetails.filterSensitiveLog(obj.jobDetails) }),
    });
})(GetJobDetailsOutput = exports.GetJobDetailsOutput || (exports.GetJobDetailsOutput = {}));
var GetPipelineInput;
(function (GetPipelineInput) {
    GetPipelineInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetPipelineInput = exports.GetPipelineInput || (exports.GetPipelineInput = {}));
var PipelineMetadata;
(function (PipelineMetadata) {
    PipelineMetadata.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PipelineMetadata = exports.PipelineMetadata || (exports.PipelineMetadata = {}));
var GetPipelineOutput;
(function (GetPipelineOutput) {
    GetPipelineOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetPipelineOutput = exports.GetPipelineOutput || (exports.GetPipelineOutput = {}));
class PipelineVersionNotFoundException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "PipelineVersionNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "PipelineVersionNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, PipelineVersionNotFoundException.prototype);
    }
}
exports.PipelineVersionNotFoundException = PipelineVersionNotFoundException;
var GetPipelineExecutionInput;
(function (GetPipelineExecutionInput) {
    GetPipelineExecutionInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetPipelineExecutionInput = exports.GetPipelineExecutionInput || (exports.GetPipelineExecutionInput = {}));
var PipelineExecutionStatus;
(function (PipelineExecutionStatus) {
    PipelineExecutionStatus["Cancelled"] = "Cancelled";
    PipelineExecutionStatus["Failed"] = "Failed";
    PipelineExecutionStatus["InProgress"] = "InProgress";
    PipelineExecutionStatus["Stopped"] = "Stopped";
    PipelineExecutionStatus["Stopping"] = "Stopping";
    PipelineExecutionStatus["Succeeded"] = "Succeeded";
    PipelineExecutionStatus["Superseded"] = "Superseded";
})(PipelineExecutionStatus = exports.PipelineExecutionStatus || (exports.PipelineExecutionStatus = {}));
var PipelineExecution;
(function (PipelineExecution) {
    PipelineExecution.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PipelineExecution = exports.PipelineExecution || (exports.PipelineExecution = {}));
var GetPipelineExecutionOutput;
(function (GetPipelineExecutionOutput) {
    GetPipelineExecutionOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetPipelineExecutionOutput = exports.GetPipelineExecutionOutput || (exports.GetPipelineExecutionOutput = {}));
class PipelineExecutionNotFoundException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "PipelineExecutionNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "PipelineExecutionNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, PipelineExecutionNotFoundException.prototype);
    }
}
exports.PipelineExecutionNotFoundException = PipelineExecutionNotFoundException;
var GetPipelineStateInput;
(function (GetPipelineStateInput) {
    GetPipelineStateInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetPipelineStateInput = exports.GetPipelineStateInput || (exports.GetPipelineStateInput = {}));
var StageExecutionStatus;
(function (StageExecutionStatus) {
    StageExecutionStatus["Cancelled"] = "Cancelled";
    StageExecutionStatus["Failed"] = "Failed";
    StageExecutionStatus["InProgress"] = "InProgress";
    StageExecutionStatus["Stopped"] = "Stopped";
    StageExecutionStatus["Stopping"] = "Stopping";
    StageExecutionStatus["Succeeded"] = "Succeeded";
})(StageExecutionStatus = exports.StageExecutionStatus || (exports.StageExecutionStatus = {}));
var StageExecution;
(function (StageExecution) {
    StageExecution.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StageExecution = exports.StageExecution || (exports.StageExecution = {}));
var TransitionState;
(function (TransitionState) {
    TransitionState.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TransitionState = exports.TransitionState || (exports.TransitionState = {}));
var StageState;
(function (StageState) {
    StageState.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StageState = exports.StageState || (exports.StageState = {}));
var GetPipelineStateOutput;
(function (GetPipelineStateOutput) {
    GetPipelineStateOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetPipelineStateOutput = exports.GetPipelineStateOutput || (exports.GetPipelineStateOutput = {}));
var GetThirdPartyJobDetailsInput;
(function (GetThirdPartyJobDetailsInput) {
    GetThirdPartyJobDetailsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetThirdPartyJobDetailsInput = exports.GetThirdPartyJobDetailsInput || (exports.GetThirdPartyJobDetailsInput = {}));
var ThirdPartyJobData;
(function (ThirdPartyJobData) {
    ThirdPartyJobData.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.artifactCredentials && { artifactCredentials: smithy_client_1.SENSITIVE_STRING }),
    });
})(ThirdPartyJobData = exports.ThirdPartyJobData || (exports.ThirdPartyJobData = {}));
var ThirdPartyJobDetails;
(function (ThirdPartyJobDetails) {
    ThirdPartyJobDetails.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.data && { data: ThirdPartyJobData.filterSensitiveLog(obj.data) }),
    });
})(ThirdPartyJobDetails = exports.ThirdPartyJobDetails || (exports.ThirdPartyJobDetails = {}));
var GetThirdPartyJobDetailsOutput;
(function (GetThirdPartyJobDetailsOutput) {
    GetThirdPartyJobDetailsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.jobDetails && { jobDetails: ThirdPartyJobDetails.filterSensitiveLog(obj.jobDetails) }),
    });
})(GetThirdPartyJobDetailsOutput = exports.GetThirdPartyJobDetailsOutput || (exports.GetThirdPartyJobDetailsOutput = {}));
class InvalidJobException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidJobException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidJobException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidJobException.prototype);
    }
}
exports.InvalidJobException = InvalidJobException;
class InvalidNextTokenException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidNextTokenException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidNextTokenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidNextTokenException.prototype);
    }
}
exports.InvalidNextTokenException = InvalidNextTokenException;
var ListActionExecutionsInput;
(function (ListActionExecutionsInput) {
    ListActionExecutionsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListActionExecutionsInput = exports.ListActionExecutionsInput || (exports.ListActionExecutionsInput = {}));
var ListActionExecutionsOutput;
(function (ListActionExecutionsOutput) {
    ListActionExecutionsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListActionExecutionsOutput = exports.ListActionExecutionsOutput || (exports.ListActionExecutionsOutput = {}));
var ListActionTypesInput;
(function (ListActionTypesInput) {
    ListActionTypesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListActionTypesInput = exports.ListActionTypesInput || (exports.ListActionTypesInput = {}));
var ListActionTypesOutput;
(function (ListActionTypesOutput) {
    ListActionTypesOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListActionTypesOutput = exports.ListActionTypesOutput || (exports.ListActionTypesOutput = {}));
var ListPipelineExecutionsInput;
(function (ListPipelineExecutionsInput) {
    ListPipelineExecutionsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListPipelineExecutionsInput = exports.ListPipelineExecutionsInput || (exports.ListPipelineExecutionsInput = {}));
var SourceRevision;
(function (SourceRevision) {
    SourceRevision.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SourceRevision = exports.SourceRevision || (exports.SourceRevision = {}));
var StopExecutionTrigger;
(function (StopExecutionTrigger) {
    StopExecutionTrigger.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopExecutionTrigger = exports.StopExecutionTrigger || (exports.StopExecutionTrigger = {}));
var TriggerType;
(function (TriggerType) {
    TriggerType["CloudWatchEvent"] = "CloudWatchEvent";
    TriggerType["CreatePipeline"] = "CreatePipeline";
    TriggerType["PollForSourceChanges"] = "PollForSourceChanges";
    TriggerType["PutActionRevision"] = "PutActionRevision";
    TriggerType["StartPipelineExecution"] = "StartPipelineExecution";
    TriggerType["Webhook"] = "Webhook";
})(TriggerType = exports.TriggerType || (exports.TriggerType = {}));
var ExecutionTrigger;
(function (ExecutionTrigger) {
    ExecutionTrigger.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ExecutionTrigger = exports.ExecutionTrigger || (exports.ExecutionTrigger = {}));
var PipelineExecutionSummary;
(function (PipelineExecutionSummary) {
    PipelineExecutionSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PipelineExecutionSummary = exports.PipelineExecutionSummary || (exports.PipelineExecutionSummary = {}));
var ListPipelineExecutionsOutput;
(function (ListPipelineExecutionsOutput) {
    ListPipelineExecutionsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListPipelineExecutionsOutput = exports.ListPipelineExecutionsOutput || (exports.ListPipelineExecutionsOutput = {}));
var ListPipelinesInput;
(function (ListPipelinesInput) {
    ListPipelinesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListPipelinesInput = exports.ListPipelinesInput || (exports.ListPipelinesInput = {}));
var PipelineSummary;
(function (PipelineSummary) {
    PipelineSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PipelineSummary = exports.PipelineSummary || (exports.PipelineSummary = {}));
var ListPipelinesOutput;
(function (ListPipelinesOutput) {
    ListPipelinesOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListPipelinesOutput = exports.ListPipelinesOutput || (exports.ListPipelinesOutput = {}));
class InvalidArnException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidArnException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidArnException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidArnException.prototype);
    }
}
exports.InvalidArnException = InvalidArnException;
var ListTagsForResourceInput;
(function (ListTagsForResourceInput) {
    ListTagsForResourceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceInput = exports.ListTagsForResourceInput || (exports.ListTagsForResourceInput = {}));
var ListTagsForResourceOutput;
(function (ListTagsForResourceOutput) {
    ListTagsForResourceOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceOutput = exports.ListTagsForResourceOutput || (exports.ListTagsForResourceOutput = {}));
class ResourceNotFoundException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
    }
}
exports.ResourceNotFoundException = ResourceNotFoundException;
var ListWebhooksInput;
(function (ListWebhooksInput) {
    ListWebhooksInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListWebhooksInput = exports.ListWebhooksInput || (exports.ListWebhooksInput = {}));
var WebhookAuthenticationType;
(function (WebhookAuthenticationType) {
    WebhookAuthenticationType["GITHUB_HMAC"] = "GITHUB_HMAC";
    WebhookAuthenticationType["IP"] = "IP";
    WebhookAuthenticationType["UNAUTHENTICATED"] = "UNAUTHENTICATED";
})(WebhookAuthenticationType = exports.WebhookAuthenticationType || (exports.WebhookAuthenticationType = {}));
var WebhookAuthConfiguration;
(function (WebhookAuthConfiguration) {
    WebhookAuthConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(WebhookAuthConfiguration = exports.WebhookAuthConfiguration || (exports.WebhookAuthConfiguration = {}));
var WebhookFilterRule;
(function (WebhookFilterRule) {
    WebhookFilterRule.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(WebhookFilterRule = exports.WebhookFilterRule || (exports.WebhookFilterRule = {}));
var WebhookDefinition;
(function (WebhookDefinition) {
    WebhookDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(WebhookDefinition = exports.WebhookDefinition || (exports.WebhookDefinition = {}));
var ListWebhookItem;
(function (ListWebhookItem) {
    ListWebhookItem.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListWebhookItem = exports.ListWebhookItem || (exports.ListWebhookItem = {}));
var ListWebhooksOutput;
(function (ListWebhooksOutput) {
    ListWebhooksOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListWebhooksOutput = exports.ListWebhooksOutput || (exports.ListWebhooksOutput = {}));
var PollForJobsInput;
(function (PollForJobsInput) {
    PollForJobsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PollForJobsInput = exports.PollForJobsInput || (exports.PollForJobsInput = {}));
var Job;
(function (Job) {
    Job.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.data && { data: JobData.filterSensitiveLog(obj.data) }),
    });
})(Job = exports.Job || (exports.Job = {}));
var PollForJobsOutput;
(function (PollForJobsOutput) {
    PollForJobsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.jobs && { jobs: obj.jobs.map((item) => Job.filterSensitiveLog(item)) }),
    });
})(PollForJobsOutput = exports.PollForJobsOutput || (exports.PollForJobsOutput = {}));
var PollForThirdPartyJobsInput;
(function (PollForThirdPartyJobsInput) {
    PollForThirdPartyJobsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PollForThirdPartyJobsInput = exports.PollForThirdPartyJobsInput || (exports.PollForThirdPartyJobsInput = {}));
var ThirdPartyJob;
(function (ThirdPartyJob) {
    ThirdPartyJob.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ThirdPartyJob = exports.ThirdPartyJob || (exports.ThirdPartyJob = {}));
var PollForThirdPartyJobsOutput;
(function (PollForThirdPartyJobsOutput) {
    PollForThirdPartyJobsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PollForThirdPartyJobsOutput = exports.PollForThirdPartyJobsOutput || (exports.PollForThirdPartyJobsOutput = {}));
var PutActionRevisionInput;
(function (PutActionRevisionInput) {
    PutActionRevisionInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutActionRevisionInput = exports.PutActionRevisionInput || (exports.PutActionRevisionInput = {}));
var PutActionRevisionOutput;
(function (PutActionRevisionOutput) {
    PutActionRevisionOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutActionRevisionOutput = exports.PutActionRevisionOutput || (exports.PutActionRevisionOutput = {}));
class InvalidApprovalTokenException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidApprovalTokenException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidApprovalTokenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidApprovalTokenException.prototype);
    }
}
exports.InvalidApprovalTokenException = InvalidApprovalTokenException;
var PutApprovalResultInput;
(function (PutApprovalResultInput) {
    PutApprovalResultInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutApprovalResultInput = exports.PutApprovalResultInput || (exports.PutApprovalResultInput = {}));
var PutApprovalResultOutput;
(function (PutApprovalResultOutput) {
    PutApprovalResultOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutApprovalResultOutput = exports.PutApprovalResultOutput || (exports.PutApprovalResultOutput = {}));
class InvalidJobStateException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidJobStateException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidJobStateException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidJobStateException.prototype);
    }
}
exports.InvalidJobStateException = InvalidJobStateException;
var FailureType;
(function (FailureType) {
    FailureType["ConfigurationError"] = "ConfigurationError";
    FailureType["JobFailed"] = "JobFailed";
    FailureType["PermissionError"] = "PermissionError";
    FailureType["RevisionOutOfSync"] = "RevisionOutOfSync";
    FailureType["RevisionUnavailable"] = "RevisionUnavailable";
    FailureType["SystemUnavailable"] = "SystemUnavailable";
})(FailureType = exports.FailureType || (exports.FailureType = {}));
var FailureDetails;
(function (FailureDetails) {
    FailureDetails.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FailureDetails = exports.FailureDetails || (exports.FailureDetails = {}));
var PutJobFailureResultInput;
(function (PutJobFailureResultInput) {
    PutJobFailureResultInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutJobFailureResultInput = exports.PutJobFailureResultInput || (exports.PutJobFailureResultInput = {}));
class OutputVariablesSizeExceededException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "OutputVariablesSizeExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "OutputVariablesSizeExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, OutputVariablesSizeExceededException.prototype);
    }
}
exports.OutputVariablesSizeExceededException = OutputVariablesSizeExceededException;
var CurrentRevision;
(function (CurrentRevision) {
    CurrentRevision.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CurrentRevision = exports.CurrentRevision || (exports.CurrentRevision = {}));
var ExecutionDetails;
(function (ExecutionDetails) {
    ExecutionDetails.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ExecutionDetails = exports.ExecutionDetails || (exports.ExecutionDetails = {}));
var PutJobSuccessResultInput;
(function (PutJobSuccessResultInput) {
    PutJobSuccessResultInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutJobSuccessResultInput = exports.PutJobSuccessResultInput || (exports.PutJobSuccessResultInput = {}));
var PutThirdPartyJobFailureResultInput;
(function (PutThirdPartyJobFailureResultInput) {
    PutThirdPartyJobFailureResultInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutThirdPartyJobFailureResultInput = exports.PutThirdPartyJobFailureResultInput || (exports.PutThirdPartyJobFailureResultInput = {}));
var PutThirdPartyJobSuccessResultInput;
(function (PutThirdPartyJobSuccessResultInput) {
    PutThirdPartyJobSuccessResultInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutThirdPartyJobSuccessResultInput = exports.PutThirdPartyJobSuccessResultInput || (exports.PutThirdPartyJobSuccessResultInput = {}));
class InvalidWebhookAuthenticationParametersException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidWebhookAuthenticationParametersException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidWebhookAuthenticationParametersException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidWebhookAuthenticationParametersException.prototype);
    }
}
exports.InvalidWebhookAuthenticationParametersException = InvalidWebhookAuthenticationParametersException;
class InvalidWebhookFilterPatternException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "InvalidWebhookFilterPatternException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidWebhookFilterPatternException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidWebhookFilterPatternException.prototype);
    }
}
exports.InvalidWebhookFilterPatternException = InvalidWebhookFilterPatternException;
var PutWebhookInput;
(function (PutWebhookInput) {
    PutWebhookInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutWebhookInput = exports.PutWebhookInput || (exports.PutWebhookInput = {}));
var PutWebhookOutput;
(function (PutWebhookOutput) {
    PutWebhookOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutWebhookOutput = exports.PutWebhookOutput || (exports.PutWebhookOutput = {}));
var RegisterWebhookWithThirdPartyInput;
(function (RegisterWebhookWithThirdPartyInput) {
    RegisterWebhookWithThirdPartyInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RegisterWebhookWithThirdPartyInput = exports.RegisterWebhookWithThirdPartyInput || (exports.RegisterWebhookWithThirdPartyInput = {}));
var RegisterWebhookWithThirdPartyOutput;
(function (RegisterWebhookWithThirdPartyOutput) {
    RegisterWebhookWithThirdPartyOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RegisterWebhookWithThirdPartyOutput = exports.RegisterWebhookWithThirdPartyOutput || (exports.RegisterWebhookWithThirdPartyOutput = {}));
class ConflictException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
    }
}
exports.ConflictException = ConflictException;
class NotLatestPipelineExecutionException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "NotLatestPipelineExecutionException",
            $fault: "client",
            ...opts,
        });
        this.name = "NotLatestPipelineExecutionException";
        this.$fault = "client";
        Object.setPrototypeOf(this, NotLatestPipelineExecutionException.prototype);
    }
}
exports.NotLatestPipelineExecutionException = NotLatestPipelineExecutionException;
var StageRetryMode;
(function (StageRetryMode) {
    StageRetryMode["FAILED_ACTIONS"] = "FAILED_ACTIONS";
})(StageRetryMode = exports.StageRetryMode || (exports.StageRetryMode = {}));
var RetryStageExecutionInput;
(function (RetryStageExecutionInput) {
    RetryStageExecutionInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RetryStageExecutionInput = exports.RetryStageExecutionInput || (exports.RetryStageExecutionInput = {}));
var RetryStageExecutionOutput;
(function (RetryStageExecutionOutput) {
    RetryStageExecutionOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RetryStageExecutionOutput = exports.RetryStageExecutionOutput || (exports.RetryStageExecutionOutput = {}));
class StageNotRetryableException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "StageNotRetryableException",
            $fault: "client",
            ...opts,
        });
        this.name = "StageNotRetryableException";
        this.$fault = "client";
        Object.setPrototypeOf(this, StageNotRetryableException.prototype);
    }
}
exports.StageNotRetryableException = StageNotRetryableException;
var StartPipelineExecutionInput;
(function (StartPipelineExecutionInput) {
    StartPipelineExecutionInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StartPipelineExecutionInput = exports.StartPipelineExecutionInput || (exports.StartPipelineExecutionInput = {}));
var StartPipelineExecutionOutput;
(function (StartPipelineExecutionOutput) {
    StartPipelineExecutionOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StartPipelineExecutionOutput = exports.StartPipelineExecutionOutput || (exports.StartPipelineExecutionOutput = {}));
class DuplicatedStopRequestException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "DuplicatedStopRequestException",
            $fault: "client",
            ...opts,
        });
        this.name = "DuplicatedStopRequestException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DuplicatedStopRequestException.prototype);
    }
}
exports.DuplicatedStopRequestException = DuplicatedStopRequestException;
class PipelineExecutionNotStoppableException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "PipelineExecutionNotStoppableException",
            $fault: "client",
            ...opts,
        });
        this.name = "PipelineExecutionNotStoppableException";
        this.$fault = "client";
        Object.setPrototypeOf(this, PipelineExecutionNotStoppableException.prototype);
    }
}
exports.PipelineExecutionNotStoppableException = PipelineExecutionNotStoppableException;
var StopPipelineExecutionInput;
(function (StopPipelineExecutionInput) {
    StopPipelineExecutionInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopPipelineExecutionInput = exports.StopPipelineExecutionInput || (exports.StopPipelineExecutionInput = {}));
var StopPipelineExecutionOutput;
(function (StopPipelineExecutionOutput) {
    StopPipelineExecutionOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopPipelineExecutionOutput = exports.StopPipelineExecutionOutput || (exports.StopPipelineExecutionOutput = {}));
var TagResourceInput;
(function (TagResourceInput) {
    TagResourceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceInput = exports.TagResourceInput || (exports.TagResourceInput = {}));
var TagResourceOutput;
(function (TagResourceOutput) {
    TagResourceOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceOutput = exports.TagResourceOutput || (exports.TagResourceOutput = {}));
var UntagResourceInput;
(function (UntagResourceInput) {
    UntagResourceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceInput = exports.UntagResourceInput || (exports.UntagResourceInput = {}));
var UntagResourceOutput;
(function (UntagResourceOutput) {
    UntagResourceOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceOutput = exports.UntagResourceOutput || (exports.UntagResourceOutput = {}));
class RequestFailedException extends CodePipelineServiceException_1.CodePipelineServiceException {
    constructor(opts) {
        super({
            name: "RequestFailedException",
            $fault: "client",
            ...opts,
        });
        this.name = "RequestFailedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, RequestFailedException.prototype);
    }
}
exports.RequestFailedException = RequestFailedException;
var UpdateActionTypeInput;
(function (UpdateActionTypeInput) {
    UpdateActionTypeInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateActionTypeInput = exports.UpdateActionTypeInput || (exports.UpdateActionTypeInput = {}));
var UpdatePipelineInput;
(function (UpdatePipelineInput) {
    UpdatePipelineInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdatePipelineInput = exports.UpdatePipelineInput || (exports.UpdatePipelineInput = {}));
var UpdatePipelineOutput;
(function (UpdatePipelineOutput) {
    UpdatePipelineOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdatePipelineOutput = exports.UpdatePipelineOutput || (exports.UpdatePipelineOutput = {}));
