import { __assign, __extends } from "tslib";
import { SENSITIVE_STRING } from "@aws-sdk/smithy-client";
import { CodePipelineServiceException as __BaseException } from "./CodePipelineServiceException";
export var AcknowledgeJobInput;
(function (AcknowledgeJobInput) {
    AcknowledgeJobInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AcknowledgeJobInput || (AcknowledgeJobInput = {}));
export var JobStatus;
(function (JobStatus) {
    JobStatus["Created"] = "Created";
    JobStatus["Dispatched"] = "Dispatched";
    JobStatus["Failed"] = "Failed";
    JobStatus["InProgress"] = "InProgress";
    JobStatus["Queued"] = "Queued";
    JobStatus["Succeeded"] = "Succeeded";
    JobStatus["TimedOut"] = "TimedOut";
})(JobStatus || (JobStatus = {}));
export var AcknowledgeJobOutput;
(function (AcknowledgeJobOutput) {
    AcknowledgeJobOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AcknowledgeJobOutput || (AcknowledgeJobOutput = {}));
var InvalidNonceException = (function (_super) {
    __extends(InvalidNonceException, _super);
    function InvalidNonceException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidNonceException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidNonceException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidNonceException.prototype);
        return _this;
    }
    return InvalidNonceException;
}(__BaseException));
export { InvalidNonceException };
var JobNotFoundException = (function (_super) {
    __extends(JobNotFoundException, _super);
    function JobNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "JobNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "JobNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, JobNotFoundException.prototype);
        return _this;
    }
    return JobNotFoundException;
}(__BaseException));
export { JobNotFoundException };
var ValidationException = (function (_super) {
    __extends(ValidationException, _super);
    function ValidationException(opts) {
        var _this = _super.call(this, __assign({ name: "ValidationException", $fault: "client" }, opts)) || this;
        _this.name = "ValidationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ValidationException.prototype);
        return _this;
    }
    return ValidationException;
}(__BaseException));
export { ValidationException };
export var AcknowledgeThirdPartyJobInput;
(function (AcknowledgeThirdPartyJobInput) {
    AcknowledgeThirdPartyJobInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AcknowledgeThirdPartyJobInput || (AcknowledgeThirdPartyJobInput = {}));
export var AcknowledgeThirdPartyJobOutput;
(function (AcknowledgeThirdPartyJobOutput) {
    AcknowledgeThirdPartyJobOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AcknowledgeThirdPartyJobOutput || (AcknowledgeThirdPartyJobOutput = {}));
var InvalidClientTokenException = (function (_super) {
    __extends(InvalidClientTokenException, _super);
    function InvalidClientTokenException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidClientTokenException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidClientTokenException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidClientTokenException.prototype);
        return _this;
    }
    return InvalidClientTokenException;
}(__BaseException));
export { InvalidClientTokenException };
export var ActionCategory;
(function (ActionCategory) {
    ActionCategory["Approval"] = "Approval";
    ActionCategory["Build"] = "Build";
    ActionCategory["Deploy"] = "Deploy";
    ActionCategory["Invoke"] = "Invoke";
    ActionCategory["Source"] = "Source";
    ActionCategory["Test"] = "Test";
})(ActionCategory || (ActionCategory = {}));
export var ActionConfiguration;
(function (ActionConfiguration) {
    ActionConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionConfiguration || (ActionConfiguration = {}));
export var ActionConfigurationPropertyType;
(function (ActionConfigurationPropertyType) {
    ActionConfigurationPropertyType["Boolean"] = "Boolean";
    ActionConfigurationPropertyType["Number"] = "Number";
    ActionConfigurationPropertyType["String"] = "String";
})(ActionConfigurationPropertyType || (ActionConfigurationPropertyType = {}));
export var ActionConfigurationProperty;
(function (ActionConfigurationProperty) {
    ActionConfigurationProperty.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionConfigurationProperty || (ActionConfigurationProperty = {}));
export var ActionContext;
(function (ActionContext) {
    ActionContext.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionContext || (ActionContext = {}));
export var ActionOwner;
(function (ActionOwner) {
    ActionOwner["AWS"] = "AWS";
    ActionOwner["Custom"] = "Custom";
    ActionOwner["ThirdParty"] = "ThirdParty";
})(ActionOwner || (ActionOwner = {}));
export var ActionTypeId;
(function (ActionTypeId) {
    ActionTypeId.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionTypeId || (ActionTypeId = {}));
export var InputArtifact;
(function (InputArtifact) {
    InputArtifact.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(InputArtifact || (InputArtifact = {}));
export var OutputArtifact;
(function (OutputArtifact) {
    OutputArtifact.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(OutputArtifact || (OutputArtifact = {}));
export var ActionDeclaration;
(function (ActionDeclaration) {
    ActionDeclaration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionDeclaration || (ActionDeclaration = {}));
export var ErrorDetails;
(function (ErrorDetails) {
    ErrorDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ErrorDetails || (ErrorDetails = {}));
export var ActionExecutionStatus;
(function (ActionExecutionStatus) {
    ActionExecutionStatus["Abandoned"] = "Abandoned";
    ActionExecutionStatus["Failed"] = "Failed";
    ActionExecutionStatus["InProgress"] = "InProgress";
    ActionExecutionStatus["Succeeded"] = "Succeeded";
})(ActionExecutionStatus || (ActionExecutionStatus = {}));
export var ActionExecution;
(function (ActionExecution) {
    ActionExecution.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionExecution || (ActionExecution = {}));
export var S3Location;
(function (S3Location) {
    S3Location.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(S3Location || (S3Location = {}));
export var ArtifactDetail;
(function (ArtifactDetail) {
    ArtifactDetail.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ArtifactDetail || (ArtifactDetail = {}));
export var ActionExecutionInput;
(function (ActionExecutionInput) {
    ActionExecutionInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionExecutionInput || (ActionExecutionInput = {}));
export var ActionExecutionResult;
(function (ActionExecutionResult) {
    ActionExecutionResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionExecutionResult || (ActionExecutionResult = {}));
export var ActionExecutionOutput;
(function (ActionExecutionOutput) {
    ActionExecutionOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionExecutionOutput || (ActionExecutionOutput = {}));
export var ActionExecutionDetail;
(function (ActionExecutionDetail) {
    ActionExecutionDetail.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionExecutionDetail || (ActionExecutionDetail = {}));
export var ActionExecutionFilter;
(function (ActionExecutionFilter) {
    ActionExecutionFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionExecutionFilter || (ActionExecutionFilter = {}));
var ActionNotFoundException = (function (_super) {
    __extends(ActionNotFoundException, _super);
    function ActionNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "ActionNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "ActionNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ActionNotFoundException.prototype);
        return _this;
    }
    return ActionNotFoundException;
}(__BaseException));
export { ActionNotFoundException };
export var ActionRevision;
(function (ActionRevision) {
    ActionRevision.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionRevision || (ActionRevision = {}));
export var ActionState;
(function (ActionState) {
    ActionState.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionState || (ActionState = {}));
export var ArtifactDetails;
(function (ArtifactDetails) {
    ArtifactDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ArtifactDetails || (ArtifactDetails = {}));
export var ActionTypeSettings;
(function (ActionTypeSettings) {
    ActionTypeSettings.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionTypeSettings || (ActionTypeSettings = {}));
export var ActionType;
(function (ActionType) {
    ActionType.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionType || (ActionType = {}));
export var ActionTypeArtifactDetails;
(function (ActionTypeArtifactDetails) {
    ActionTypeArtifactDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionTypeArtifactDetails || (ActionTypeArtifactDetails = {}));
export var JobWorkerExecutorConfiguration;
(function (JobWorkerExecutorConfiguration) {
    JobWorkerExecutorConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(JobWorkerExecutorConfiguration || (JobWorkerExecutorConfiguration = {}));
export var LambdaExecutorConfiguration;
(function (LambdaExecutorConfiguration) {
    LambdaExecutorConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LambdaExecutorConfiguration || (LambdaExecutorConfiguration = {}));
export var ExecutorConfiguration;
(function (ExecutorConfiguration) {
    ExecutorConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ExecutorConfiguration || (ExecutorConfiguration = {}));
export var ExecutorType;
(function (ExecutorType) {
    ExecutorType["JobWorker"] = "JobWorker";
    ExecutorType["Lambda"] = "Lambda";
})(ExecutorType || (ExecutorType = {}));
export var ActionTypeExecutor;
(function (ActionTypeExecutor) {
    ActionTypeExecutor.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionTypeExecutor || (ActionTypeExecutor = {}));
export var ActionTypeIdentifier;
(function (ActionTypeIdentifier) {
    ActionTypeIdentifier.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionTypeIdentifier || (ActionTypeIdentifier = {}));
export var ActionTypePermissions;
(function (ActionTypePermissions) {
    ActionTypePermissions.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionTypePermissions || (ActionTypePermissions = {}));
export var ActionTypeProperty;
(function (ActionTypeProperty) {
    ActionTypeProperty.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionTypeProperty || (ActionTypeProperty = {}));
export var ActionTypeUrls;
(function (ActionTypeUrls) {
    ActionTypeUrls.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionTypeUrls || (ActionTypeUrls = {}));
export var ActionTypeDeclaration;
(function (ActionTypeDeclaration) {
    ActionTypeDeclaration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ActionTypeDeclaration || (ActionTypeDeclaration = {}));
var ActionTypeNotFoundException = (function (_super) {
    __extends(ActionTypeNotFoundException, _super);
    function ActionTypeNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "ActionTypeNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "ActionTypeNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ActionTypeNotFoundException.prototype);
        return _this;
    }
    return ActionTypeNotFoundException;
}(__BaseException));
export { ActionTypeNotFoundException };
var ApprovalAlreadyCompletedException = (function (_super) {
    __extends(ApprovalAlreadyCompletedException, _super);
    function ApprovalAlreadyCompletedException(opts) {
        var _this = _super.call(this, __assign({ name: "ApprovalAlreadyCompletedException", $fault: "client" }, opts)) || this;
        _this.name = "ApprovalAlreadyCompletedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ApprovalAlreadyCompletedException.prototype);
        return _this;
    }
    return ApprovalAlreadyCompletedException;
}(__BaseException));
export { ApprovalAlreadyCompletedException };
export var ApprovalStatus;
(function (ApprovalStatus) {
    ApprovalStatus["Approved"] = "Approved";
    ApprovalStatus["Rejected"] = "Rejected";
})(ApprovalStatus || (ApprovalStatus = {}));
export var ApprovalResult;
(function (ApprovalResult) {
    ApprovalResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ApprovalResult || (ApprovalResult = {}));
export var S3ArtifactLocation;
(function (S3ArtifactLocation) {
    S3ArtifactLocation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(S3ArtifactLocation || (S3ArtifactLocation = {}));
export var ArtifactLocationType;
(function (ArtifactLocationType) {
    ArtifactLocationType["S3"] = "S3";
})(ArtifactLocationType || (ArtifactLocationType = {}));
export var ArtifactLocation;
(function (ArtifactLocation) {
    ArtifactLocation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ArtifactLocation || (ArtifactLocation = {}));
export var Artifact;
(function (Artifact) {
    Artifact.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Artifact || (Artifact = {}));
export var ArtifactRevision;
(function (ArtifactRevision) {
    ArtifactRevision.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ArtifactRevision || (ArtifactRevision = {}));
export var EncryptionKeyType;
(function (EncryptionKeyType) {
    EncryptionKeyType["KMS"] = "KMS";
})(EncryptionKeyType || (EncryptionKeyType = {}));
export var EncryptionKey;
(function (EncryptionKey) {
    EncryptionKey.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EncryptionKey || (EncryptionKey = {}));
export var ArtifactStoreType;
(function (ArtifactStoreType) {
    ArtifactStoreType["S3"] = "S3";
})(ArtifactStoreType || (ArtifactStoreType = {}));
export var ArtifactStore;
(function (ArtifactStore) {
    ArtifactStore.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ArtifactStore || (ArtifactStore = {}));
export var AWSSessionCredentials;
(function (AWSSessionCredentials) {
    AWSSessionCredentials.filterSensitiveLog = function (obj) { return (__assign(__assign(__assign(__assign({}, obj), (obj.accessKeyId && { accessKeyId: SENSITIVE_STRING })), (obj.secretAccessKey && { secretAccessKey: SENSITIVE_STRING })), (obj.sessionToken && { sessionToken: SENSITIVE_STRING }))); };
})(AWSSessionCredentials || (AWSSessionCredentials = {}));
export var BlockerType;
(function (BlockerType) {
    BlockerType["Schedule"] = "Schedule";
})(BlockerType || (BlockerType = {}));
export var BlockerDeclaration;
(function (BlockerDeclaration) {
    BlockerDeclaration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BlockerDeclaration || (BlockerDeclaration = {}));
var ConcurrentModificationException = (function (_super) {
    __extends(ConcurrentModificationException, _super);
    function ConcurrentModificationException(opts) {
        var _this = _super.call(this, __assign({ name: "ConcurrentModificationException", $fault: "client" }, opts)) || this;
        _this.name = "ConcurrentModificationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ConcurrentModificationException.prototype);
        return _this;
    }
    return ConcurrentModificationException;
}(__BaseException));
export { ConcurrentModificationException };
export var Tag;
(function (Tag) {
    Tag.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Tag || (Tag = {}));
export var CreateCustomActionTypeInput;
(function (CreateCustomActionTypeInput) {
    CreateCustomActionTypeInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateCustomActionTypeInput || (CreateCustomActionTypeInput = {}));
export var CreateCustomActionTypeOutput;
(function (CreateCustomActionTypeOutput) {
    CreateCustomActionTypeOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateCustomActionTypeOutput || (CreateCustomActionTypeOutput = {}));
var InvalidTagsException = (function (_super) {
    __extends(InvalidTagsException, _super);
    function InvalidTagsException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidTagsException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidTagsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidTagsException.prototype);
        return _this;
    }
    return InvalidTagsException;
}(__BaseException));
export { InvalidTagsException };
var LimitExceededException = (function (_super) {
    __extends(LimitExceededException, _super);
    function LimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "LimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "LimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, LimitExceededException.prototype);
        return _this;
    }
    return LimitExceededException;
}(__BaseException));
export { LimitExceededException };
var TooManyTagsException = (function (_super) {
    __extends(TooManyTagsException, _super);
    function TooManyTagsException(opts) {
        var _this = _super.call(this, __assign({ name: "TooManyTagsException", $fault: "client" }, opts)) || this;
        _this.name = "TooManyTagsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, TooManyTagsException.prototype);
        return _this;
    }
    return TooManyTagsException;
}(__BaseException));
export { TooManyTagsException };
export var StageDeclaration;
(function (StageDeclaration) {
    StageDeclaration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StageDeclaration || (StageDeclaration = {}));
export var PipelineDeclaration;
(function (PipelineDeclaration) {
    PipelineDeclaration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PipelineDeclaration || (PipelineDeclaration = {}));
export var CreatePipelineInput;
(function (CreatePipelineInput) {
    CreatePipelineInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreatePipelineInput || (CreatePipelineInput = {}));
export var CreatePipelineOutput;
(function (CreatePipelineOutput) {
    CreatePipelineOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreatePipelineOutput || (CreatePipelineOutput = {}));
var InvalidActionDeclarationException = (function (_super) {
    __extends(InvalidActionDeclarationException, _super);
    function InvalidActionDeclarationException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidActionDeclarationException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidActionDeclarationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidActionDeclarationException.prototype);
        return _this;
    }
    return InvalidActionDeclarationException;
}(__BaseException));
export { InvalidActionDeclarationException };
var InvalidBlockerDeclarationException = (function (_super) {
    __extends(InvalidBlockerDeclarationException, _super);
    function InvalidBlockerDeclarationException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidBlockerDeclarationException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidBlockerDeclarationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidBlockerDeclarationException.prototype);
        return _this;
    }
    return InvalidBlockerDeclarationException;
}(__BaseException));
export { InvalidBlockerDeclarationException };
var InvalidStageDeclarationException = (function (_super) {
    __extends(InvalidStageDeclarationException, _super);
    function InvalidStageDeclarationException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidStageDeclarationException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidStageDeclarationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidStageDeclarationException.prototype);
        return _this;
    }
    return InvalidStageDeclarationException;
}(__BaseException));
export { InvalidStageDeclarationException };
var InvalidStructureException = (function (_super) {
    __extends(InvalidStructureException, _super);
    function InvalidStructureException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidStructureException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidStructureException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidStructureException.prototype);
        return _this;
    }
    return InvalidStructureException;
}(__BaseException));
export { InvalidStructureException };
var PipelineNameInUseException = (function (_super) {
    __extends(PipelineNameInUseException, _super);
    function PipelineNameInUseException(opts) {
        var _this = _super.call(this, __assign({ name: "PipelineNameInUseException", $fault: "client" }, opts)) || this;
        _this.name = "PipelineNameInUseException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, PipelineNameInUseException.prototype);
        return _this;
    }
    return PipelineNameInUseException;
}(__BaseException));
export { PipelineNameInUseException };
export var DeleteCustomActionTypeInput;
(function (DeleteCustomActionTypeInput) {
    DeleteCustomActionTypeInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteCustomActionTypeInput || (DeleteCustomActionTypeInput = {}));
export var DeletePipelineInput;
(function (DeletePipelineInput) {
    DeletePipelineInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeletePipelineInput || (DeletePipelineInput = {}));
export var DeleteWebhookInput;
(function (DeleteWebhookInput) {
    DeleteWebhookInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteWebhookInput || (DeleteWebhookInput = {}));
export var DeleteWebhookOutput;
(function (DeleteWebhookOutput) {
    DeleteWebhookOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteWebhookOutput || (DeleteWebhookOutput = {}));
export var DeregisterWebhookWithThirdPartyInput;
(function (DeregisterWebhookWithThirdPartyInput) {
    DeregisterWebhookWithThirdPartyInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeregisterWebhookWithThirdPartyInput || (DeregisterWebhookWithThirdPartyInput = {}));
export var DeregisterWebhookWithThirdPartyOutput;
(function (DeregisterWebhookWithThirdPartyOutput) {
    DeregisterWebhookWithThirdPartyOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeregisterWebhookWithThirdPartyOutput || (DeregisterWebhookWithThirdPartyOutput = {}));
var WebhookNotFoundException = (function (_super) {
    __extends(WebhookNotFoundException, _super);
    function WebhookNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "WebhookNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "WebhookNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, WebhookNotFoundException.prototype);
        return _this;
    }
    return WebhookNotFoundException;
}(__BaseException));
export { WebhookNotFoundException };
export var StageTransitionType;
(function (StageTransitionType) {
    StageTransitionType["Inbound"] = "Inbound";
    StageTransitionType["Outbound"] = "Outbound";
})(StageTransitionType || (StageTransitionType = {}));
export var DisableStageTransitionInput;
(function (DisableStageTransitionInput) {
    DisableStageTransitionInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisableStageTransitionInput || (DisableStageTransitionInput = {}));
var PipelineNotFoundException = (function (_super) {
    __extends(PipelineNotFoundException, _super);
    function PipelineNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "PipelineNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "PipelineNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, PipelineNotFoundException.prototype);
        return _this;
    }
    return PipelineNotFoundException;
}(__BaseException));
export { PipelineNotFoundException };
var StageNotFoundException = (function (_super) {
    __extends(StageNotFoundException, _super);
    function StageNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "StageNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "StageNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, StageNotFoundException.prototype);
        return _this;
    }
    return StageNotFoundException;
}(__BaseException));
export { StageNotFoundException };
export var EnableStageTransitionInput;
(function (EnableStageTransitionInput) {
    EnableStageTransitionInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EnableStageTransitionInput || (EnableStageTransitionInput = {}));
export var GetActionTypeInput;
(function (GetActionTypeInput) {
    GetActionTypeInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetActionTypeInput || (GetActionTypeInput = {}));
export var GetActionTypeOutput;
(function (GetActionTypeOutput) {
    GetActionTypeOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetActionTypeOutput || (GetActionTypeOutput = {}));
export var GetJobDetailsInput;
(function (GetJobDetailsInput) {
    GetJobDetailsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetJobDetailsInput || (GetJobDetailsInput = {}));
export var StageContext;
(function (StageContext) {
    StageContext.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StageContext || (StageContext = {}));
export var PipelineContext;
(function (PipelineContext) {
    PipelineContext.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PipelineContext || (PipelineContext = {}));
export var JobData;
(function (JobData) {
    JobData.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.artifactCredentials && { artifactCredentials: SENSITIVE_STRING }))); };
})(JobData || (JobData = {}));
export var JobDetails;
(function (JobDetails) {
    JobDetails.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.data && { data: JobData.filterSensitiveLog(obj.data) }))); };
})(JobDetails || (JobDetails = {}));
export var GetJobDetailsOutput;
(function (GetJobDetailsOutput) {
    GetJobDetailsOutput.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.jobDetails && { jobDetails: JobDetails.filterSensitiveLog(obj.jobDetails) }))); };
})(GetJobDetailsOutput || (GetJobDetailsOutput = {}));
export var GetPipelineInput;
(function (GetPipelineInput) {
    GetPipelineInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetPipelineInput || (GetPipelineInput = {}));
export var PipelineMetadata;
(function (PipelineMetadata) {
    PipelineMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PipelineMetadata || (PipelineMetadata = {}));
export var GetPipelineOutput;
(function (GetPipelineOutput) {
    GetPipelineOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetPipelineOutput || (GetPipelineOutput = {}));
var PipelineVersionNotFoundException = (function (_super) {
    __extends(PipelineVersionNotFoundException, _super);
    function PipelineVersionNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "PipelineVersionNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "PipelineVersionNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, PipelineVersionNotFoundException.prototype);
        return _this;
    }
    return PipelineVersionNotFoundException;
}(__BaseException));
export { PipelineVersionNotFoundException };
export var GetPipelineExecutionInput;
(function (GetPipelineExecutionInput) {
    GetPipelineExecutionInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetPipelineExecutionInput || (GetPipelineExecutionInput = {}));
export var PipelineExecutionStatus;
(function (PipelineExecutionStatus) {
    PipelineExecutionStatus["Cancelled"] = "Cancelled";
    PipelineExecutionStatus["Failed"] = "Failed";
    PipelineExecutionStatus["InProgress"] = "InProgress";
    PipelineExecutionStatus["Stopped"] = "Stopped";
    PipelineExecutionStatus["Stopping"] = "Stopping";
    PipelineExecutionStatus["Succeeded"] = "Succeeded";
    PipelineExecutionStatus["Superseded"] = "Superseded";
})(PipelineExecutionStatus || (PipelineExecutionStatus = {}));
export var PipelineExecution;
(function (PipelineExecution) {
    PipelineExecution.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PipelineExecution || (PipelineExecution = {}));
export var GetPipelineExecutionOutput;
(function (GetPipelineExecutionOutput) {
    GetPipelineExecutionOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetPipelineExecutionOutput || (GetPipelineExecutionOutput = {}));
var PipelineExecutionNotFoundException = (function (_super) {
    __extends(PipelineExecutionNotFoundException, _super);
    function PipelineExecutionNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "PipelineExecutionNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "PipelineExecutionNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, PipelineExecutionNotFoundException.prototype);
        return _this;
    }
    return PipelineExecutionNotFoundException;
}(__BaseException));
export { PipelineExecutionNotFoundException };
export var GetPipelineStateInput;
(function (GetPipelineStateInput) {
    GetPipelineStateInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetPipelineStateInput || (GetPipelineStateInput = {}));
export var StageExecutionStatus;
(function (StageExecutionStatus) {
    StageExecutionStatus["Cancelled"] = "Cancelled";
    StageExecutionStatus["Failed"] = "Failed";
    StageExecutionStatus["InProgress"] = "InProgress";
    StageExecutionStatus["Stopped"] = "Stopped";
    StageExecutionStatus["Stopping"] = "Stopping";
    StageExecutionStatus["Succeeded"] = "Succeeded";
})(StageExecutionStatus || (StageExecutionStatus = {}));
export var StageExecution;
(function (StageExecution) {
    StageExecution.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StageExecution || (StageExecution = {}));
export var TransitionState;
(function (TransitionState) {
    TransitionState.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TransitionState || (TransitionState = {}));
export var StageState;
(function (StageState) {
    StageState.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StageState || (StageState = {}));
export var GetPipelineStateOutput;
(function (GetPipelineStateOutput) {
    GetPipelineStateOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetPipelineStateOutput || (GetPipelineStateOutput = {}));
export var GetThirdPartyJobDetailsInput;
(function (GetThirdPartyJobDetailsInput) {
    GetThirdPartyJobDetailsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetThirdPartyJobDetailsInput || (GetThirdPartyJobDetailsInput = {}));
export var ThirdPartyJobData;
(function (ThirdPartyJobData) {
    ThirdPartyJobData.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.artifactCredentials && { artifactCredentials: SENSITIVE_STRING }))); };
})(ThirdPartyJobData || (ThirdPartyJobData = {}));
export var ThirdPartyJobDetails;
(function (ThirdPartyJobDetails) {
    ThirdPartyJobDetails.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.data && { data: ThirdPartyJobData.filterSensitiveLog(obj.data) }))); };
})(ThirdPartyJobDetails || (ThirdPartyJobDetails = {}));
export var GetThirdPartyJobDetailsOutput;
(function (GetThirdPartyJobDetailsOutput) {
    GetThirdPartyJobDetailsOutput.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.jobDetails && { jobDetails: ThirdPartyJobDetails.filterSensitiveLog(obj.jobDetails) }))); };
})(GetThirdPartyJobDetailsOutput || (GetThirdPartyJobDetailsOutput = {}));
var InvalidJobException = (function (_super) {
    __extends(InvalidJobException, _super);
    function InvalidJobException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidJobException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidJobException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidJobException.prototype);
        return _this;
    }
    return InvalidJobException;
}(__BaseException));
export { InvalidJobException };
var InvalidNextTokenException = (function (_super) {
    __extends(InvalidNextTokenException, _super);
    function InvalidNextTokenException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidNextTokenException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidNextTokenException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidNextTokenException.prototype);
        return _this;
    }
    return InvalidNextTokenException;
}(__BaseException));
export { InvalidNextTokenException };
export var ListActionExecutionsInput;
(function (ListActionExecutionsInput) {
    ListActionExecutionsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListActionExecutionsInput || (ListActionExecutionsInput = {}));
export var ListActionExecutionsOutput;
(function (ListActionExecutionsOutput) {
    ListActionExecutionsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListActionExecutionsOutput || (ListActionExecutionsOutput = {}));
export var ListActionTypesInput;
(function (ListActionTypesInput) {
    ListActionTypesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListActionTypesInput || (ListActionTypesInput = {}));
export var ListActionTypesOutput;
(function (ListActionTypesOutput) {
    ListActionTypesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListActionTypesOutput || (ListActionTypesOutput = {}));
export var ListPipelineExecutionsInput;
(function (ListPipelineExecutionsInput) {
    ListPipelineExecutionsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListPipelineExecutionsInput || (ListPipelineExecutionsInput = {}));
export var SourceRevision;
(function (SourceRevision) {
    SourceRevision.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SourceRevision || (SourceRevision = {}));
export var StopExecutionTrigger;
(function (StopExecutionTrigger) {
    StopExecutionTrigger.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopExecutionTrigger || (StopExecutionTrigger = {}));
export var TriggerType;
(function (TriggerType) {
    TriggerType["CloudWatchEvent"] = "CloudWatchEvent";
    TriggerType["CreatePipeline"] = "CreatePipeline";
    TriggerType["PollForSourceChanges"] = "PollForSourceChanges";
    TriggerType["PutActionRevision"] = "PutActionRevision";
    TriggerType["StartPipelineExecution"] = "StartPipelineExecution";
    TriggerType["Webhook"] = "Webhook";
})(TriggerType || (TriggerType = {}));
export var ExecutionTrigger;
(function (ExecutionTrigger) {
    ExecutionTrigger.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ExecutionTrigger || (ExecutionTrigger = {}));
export var PipelineExecutionSummary;
(function (PipelineExecutionSummary) {
    PipelineExecutionSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PipelineExecutionSummary || (PipelineExecutionSummary = {}));
export var ListPipelineExecutionsOutput;
(function (ListPipelineExecutionsOutput) {
    ListPipelineExecutionsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListPipelineExecutionsOutput || (ListPipelineExecutionsOutput = {}));
export var ListPipelinesInput;
(function (ListPipelinesInput) {
    ListPipelinesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListPipelinesInput || (ListPipelinesInput = {}));
export var PipelineSummary;
(function (PipelineSummary) {
    PipelineSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PipelineSummary || (PipelineSummary = {}));
export var ListPipelinesOutput;
(function (ListPipelinesOutput) {
    ListPipelinesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListPipelinesOutput || (ListPipelinesOutput = {}));
var InvalidArnException = (function (_super) {
    __extends(InvalidArnException, _super);
    function InvalidArnException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidArnException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidArnException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidArnException.prototype);
        return _this;
    }
    return InvalidArnException;
}(__BaseException));
export { InvalidArnException };
export var ListTagsForResourceInput;
(function (ListTagsForResourceInput) {
    ListTagsForResourceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTagsForResourceInput || (ListTagsForResourceInput = {}));
export var ListTagsForResourceOutput;
(function (ListTagsForResourceOutput) {
    ListTagsForResourceOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTagsForResourceOutput || (ListTagsForResourceOutput = {}));
var ResourceNotFoundException = (function (_super) {
    __extends(ResourceNotFoundException, _super);
    function ResourceNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "ResourceNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "ResourceNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ResourceNotFoundException.prototype);
        return _this;
    }
    return ResourceNotFoundException;
}(__BaseException));
export { ResourceNotFoundException };
export var ListWebhooksInput;
(function (ListWebhooksInput) {
    ListWebhooksInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListWebhooksInput || (ListWebhooksInput = {}));
export var WebhookAuthenticationType;
(function (WebhookAuthenticationType) {
    WebhookAuthenticationType["GITHUB_HMAC"] = "GITHUB_HMAC";
    WebhookAuthenticationType["IP"] = "IP";
    WebhookAuthenticationType["UNAUTHENTICATED"] = "UNAUTHENTICATED";
})(WebhookAuthenticationType || (WebhookAuthenticationType = {}));
export var WebhookAuthConfiguration;
(function (WebhookAuthConfiguration) {
    WebhookAuthConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(WebhookAuthConfiguration || (WebhookAuthConfiguration = {}));
export var WebhookFilterRule;
(function (WebhookFilterRule) {
    WebhookFilterRule.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(WebhookFilterRule || (WebhookFilterRule = {}));
export var WebhookDefinition;
(function (WebhookDefinition) {
    WebhookDefinition.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(WebhookDefinition || (WebhookDefinition = {}));
export var ListWebhookItem;
(function (ListWebhookItem) {
    ListWebhookItem.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListWebhookItem || (ListWebhookItem = {}));
export var ListWebhooksOutput;
(function (ListWebhooksOutput) {
    ListWebhooksOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListWebhooksOutput || (ListWebhooksOutput = {}));
export var PollForJobsInput;
(function (PollForJobsInput) {
    PollForJobsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PollForJobsInput || (PollForJobsInput = {}));
export var Job;
(function (Job) {
    Job.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.data && { data: JobData.filterSensitiveLog(obj.data) }))); };
})(Job || (Job = {}));
export var PollForJobsOutput;
(function (PollForJobsOutput) {
    PollForJobsOutput.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.jobs && { jobs: obj.jobs.map(function (item) { return Job.filterSensitiveLog(item); }) }))); };
})(PollForJobsOutput || (PollForJobsOutput = {}));
export var PollForThirdPartyJobsInput;
(function (PollForThirdPartyJobsInput) {
    PollForThirdPartyJobsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PollForThirdPartyJobsInput || (PollForThirdPartyJobsInput = {}));
export var ThirdPartyJob;
(function (ThirdPartyJob) {
    ThirdPartyJob.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ThirdPartyJob || (ThirdPartyJob = {}));
export var PollForThirdPartyJobsOutput;
(function (PollForThirdPartyJobsOutput) {
    PollForThirdPartyJobsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PollForThirdPartyJobsOutput || (PollForThirdPartyJobsOutput = {}));
export var PutActionRevisionInput;
(function (PutActionRevisionInput) {
    PutActionRevisionInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutActionRevisionInput || (PutActionRevisionInput = {}));
export var PutActionRevisionOutput;
(function (PutActionRevisionOutput) {
    PutActionRevisionOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutActionRevisionOutput || (PutActionRevisionOutput = {}));
var InvalidApprovalTokenException = (function (_super) {
    __extends(InvalidApprovalTokenException, _super);
    function InvalidApprovalTokenException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidApprovalTokenException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidApprovalTokenException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidApprovalTokenException.prototype);
        return _this;
    }
    return InvalidApprovalTokenException;
}(__BaseException));
export { InvalidApprovalTokenException };
export var PutApprovalResultInput;
(function (PutApprovalResultInput) {
    PutApprovalResultInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutApprovalResultInput || (PutApprovalResultInput = {}));
export var PutApprovalResultOutput;
(function (PutApprovalResultOutput) {
    PutApprovalResultOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutApprovalResultOutput || (PutApprovalResultOutput = {}));
var InvalidJobStateException = (function (_super) {
    __extends(InvalidJobStateException, _super);
    function InvalidJobStateException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidJobStateException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidJobStateException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidJobStateException.prototype);
        return _this;
    }
    return InvalidJobStateException;
}(__BaseException));
export { InvalidJobStateException };
export var FailureType;
(function (FailureType) {
    FailureType["ConfigurationError"] = "ConfigurationError";
    FailureType["JobFailed"] = "JobFailed";
    FailureType["PermissionError"] = "PermissionError";
    FailureType["RevisionOutOfSync"] = "RevisionOutOfSync";
    FailureType["RevisionUnavailable"] = "RevisionUnavailable";
    FailureType["SystemUnavailable"] = "SystemUnavailable";
})(FailureType || (FailureType = {}));
export var FailureDetails;
(function (FailureDetails) {
    FailureDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FailureDetails || (FailureDetails = {}));
export var PutJobFailureResultInput;
(function (PutJobFailureResultInput) {
    PutJobFailureResultInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutJobFailureResultInput || (PutJobFailureResultInput = {}));
var OutputVariablesSizeExceededException = (function (_super) {
    __extends(OutputVariablesSizeExceededException, _super);
    function OutputVariablesSizeExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "OutputVariablesSizeExceededException", $fault: "client" }, opts)) || this;
        _this.name = "OutputVariablesSizeExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, OutputVariablesSizeExceededException.prototype);
        return _this;
    }
    return OutputVariablesSizeExceededException;
}(__BaseException));
export { OutputVariablesSizeExceededException };
export var CurrentRevision;
(function (CurrentRevision) {
    CurrentRevision.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CurrentRevision || (CurrentRevision = {}));
export var ExecutionDetails;
(function (ExecutionDetails) {
    ExecutionDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ExecutionDetails || (ExecutionDetails = {}));
export var PutJobSuccessResultInput;
(function (PutJobSuccessResultInput) {
    PutJobSuccessResultInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutJobSuccessResultInput || (PutJobSuccessResultInput = {}));
export var PutThirdPartyJobFailureResultInput;
(function (PutThirdPartyJobFailureResultInput) {
    PutThirdPartyJobFailureResultInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutThirdPartyJobFailureResultInput || (PutThirdPartyJobFailureResultInput = {}));
export var PutThirdPartyJobSuccessResultInput;
(function (PutThirdPartyJobSuccessResultInput) {
    PutThirdPartyJobSuccessResultInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutThirdPartyJobSuccessResultInput || (PutThirdPartyJobSuccessResultInput = {}));
var InvalidWebhookAuthenticationParametersException = (function (_super) {
    __extends(InvalidWebhookAuthenticationParametersException, _super);
    function InvalidWebhookAuthenticationParametersException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidWebhookAuthenticationParametersException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidWebhookAuthenticationParametersException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidWebhookAuthenticationParametersException.prototype);
        return _this;
    }
    return InvalidWebhookAuthenticationParametersException;
}(__BaseException));
export { InvalidWebhookAuthenticationParametersException };
var InvalidWebhookFilterPatternException = (function (_super) {
    __extends(InvalidWebhookFilterPatternException, _super);
    function InvalidWebhookFilterPatternException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidWebhookFilterPatternException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidWebhookFilterPatternException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidWebhookFilterPatternException.prototype);
        return _this;
    }
    return InvalidWebhookFilterPatternException;
}(__BaseException));
export { InvalidWebhookFilterPatternException };
export var PutWebhookInput;
(function (PutWebhookInput) {
    PutWebhookInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutWebhookInput || (PutWebhookInput = {}));
export var PutWebhookOutput;
(function (PutWebhookOutput) {
    PutWebhookOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutWebhookOutput || (PutWebhookOutput = {}));
export var RegisterWebhookWithThirdPartyInput;
(function (RegisterWebhookWithThirdPartyInput) {
    RegisterWebhookWithThirdPartyInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RegisterWebhookWithThirdPartyInput || (RegisterWebhookWithThirdPartyInput = {}));
export var RegisterWebhookWithThirdPartyOutput;
(function (RegisterWebhookWithThirdPartyOutput) {
    RegisterWebhookWithThirdPartyOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RegisterWebhookWithThirdPartyOutput || (RegisterWebhookWithThirdPartyOutput = {}));
var ConflictException = (function (_super) {
    __extends(ConflictException, _super);
    function ConflictException(opts) {
        var _this = _super.call(this, __assign({ name: "ConflictException", $fault: "client" }, opts)) || this;
        _this.name = "ConflictException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ConflictException.prototype);
        return _this;
    }
    return ConflictException;
}(__BaseException));
export { ConflictException };
var NotLatestPipelineExecutionException = (function (_super) {
    __extends(NotLatestPipelineExecutionException, _super);
    function NotLatestPipelineExecutionException(opts) {
        var _this = _super.call(this, __assign({ name: "NotLatestPipelineExecutionException", $fault: "client" }, opts)) || this;
        _this.name = "NotLatestPipelineExecutionException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, NotLatestPipelineExecutionException.prototype);
        return _this;
    }
    return NotLatestPipelineExecutionException;
}(__BaseException));
export { NotLatestPipelineExecutionException };
export var StageRetryMode;
(function (StageRetryMode) {
    StageRetryMode["FAILED_ACTIONS"] = "FAILED_ACTIONS";
})(StageRetryMode || (StageRetryMode = {}));
export var RetryStageExecutionInput;
(function (RetryStageExecutionInput) {
    RetryStageExecutionInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RetryStageExecutionInput || (RetryStageExecutionInput = {}));
export var RetryStageExecutionOutput;
(function (RetryStageExecutionOutput) {
    RetryStageExecutionOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RetryStageExecutionOutput || (RetryStageExecutionOutput = {}));
var StageNotRetryableException = (function (_super) {
    __extends(StageNotRetryableException, _super);
    function StageNotRetryableException(opts) {
        var _this = _super.call(this, __assign({ name: "StageNotRetryableException", $fault: "client" }, opts)) || this;
        _this.name = "StageNotRetryableException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, StageNotRetryableException.prototype);
        return _this;
    }
    return StageNotRetryableException;
}(__BaseException));
export { StageNotRetryableException };
export var StartPipelineExecutionInput;
(function (StartPipelineExecutionInput) {
    StartPipelineExecutionInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StartPipelineExecutionInput || (StartPipelineExecutionInput = {}));
export var StartPipelineExecutionOutput;
(function (StartPipelineExecutionOutput) {
    StartPipelineExecutionOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StartPipelineExecutionOutput || (StartPipelineExecutionOutput = {}));
var DuplicatedStopRequestException = (function (_super) {
    __extends(DuplicatedStopRequestException, _super);
    function DuplicatedStopRequestException(opts) {
        var _this = _super.call(this, __assign({ name: "DuplicatedStopRequestException", $fault: "client" }, opts)) || this;
        _this.name = "DuplicatedStopRequestException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DuplicatedStopRequestException.prototype);
        return _this;
    }
    return DuplicatedStopRequestException;
}(__BaseException));
export { DuplicatedStopRequestException };
var PipelineExecutionNotStoppableException = (function (_super) {
    __extends(PipelineExecutionNotStoppableException, _super);
    function PipelineExecutionNotStoppableException(opts) {
        var _this = _super.call(this, __assign({ name: "PipelineExecutionNotStoppableException", $fault: "client" }, opts)) || this;
        _this.name = "PipelineExecutionNotStoppableException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, PipelineExecutionNotStoppableException.prototype);
        return _this;
    }
    return PipelineExecutionNotStoppableException;
}(__BaseException));
export { PipelineExecutionNotStoppableException };
export var StopPipelineExecutionInput;
(function (StopPipelineExecutionInput) {
    StopPipelineExecutionInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopPipelineExecutionInput || (StopPipelineExecutionInput = {}));
export var StopPipelineExecutionOutput;
(function (StopPipelineExecutionOutput) {
    StopPipelineExecutionOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopPipelineExecutionOutput || (StopPipelineExecutionOutput = {}));
export var TagResourceInput;
(function (TagResourceInput) {
    TagResourceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagResourceInput || (TagResourceInput = {}));
export var TagResourceOutput;
(function (TagResourceOutput) {
    TagResourceOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagResourceOutput || (TagResourceOutput = {}));
export var UntagResourceInput;
(function (UntagResourceInput) {
    UntagResourceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UntagResourceInput || (UntagResourceInput = {}));
export var UntagResourceOutput;
(function (UntagResourceOutput) {
    UntagResourceOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UntagResourceOutput || (UntagResourceOutput = {}));
var RequestFailedException = (function (_super) {
    __extends(RequestFailedException, _super);
    function RequestFailedException(opts) {
        var _this = _super.call(this, __assign({ name: "RequestFailedException", $fault: "client" }, opts)) || this;
        _this.name = "RequestFailedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, RequestFailedException.prototype);
        return _this;
    }
    return RequestFailedException;
}(__BaseException));
export { RequestFailedException };
export var UpdateActionTypeInput;
(function (UpdateActionTypeInput) {
    UpdateActionTypeInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateActionTypeInput || (UpdateActionTypeInput = {}));
export var UpdatePipelineInput;
(function (UpdatePipelineInput) {
    UpdatePipelineInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdatePipelineInput || (UpdatePipelineInput = {}));
export var UpdatePipelineOutput;
(function (UpdatePipelineOutput) {
    UpdatePipelineOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdatePipelineOutput || (UpdatePipelineOutput = {}));
